/**
 * Header file for project struct logic.
 */


// System Import Headers.
#include <ctype.h>
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


/**
 * Data for a single thread runtime.
 */
typedef struct {

    // "Global" thread values.
    pthread_t** thread_pool_ptr;
    int** thread_results_ptr;
    int total_processors;
    int seconds_per_index;
    int indexes_per_load;
    int total_loads;

    // "Local" thread values.
    int thread_num;

} thread_struct;


// Function Prototypes.
thread_struct* initialize_thread_struct();
void free_thread_struct();
